<?php 

//datubāzes konfigurācija, saglabājot tos datus mainīgajos
$dbservername = "localhost";
$dbusername = "gamizoge_admins";
$dbpassword = "^uuem[j6kjJ#";
$dbname = "gamizoge_Forums";

// pieslēgties datubāzei
$db = new mysqli($dbservername, $dbusername, $dbpassword, $dbname);
//saglabā esošās sesijas lietotājvārdu mainīgajā
$username=$_SESSION['username'];

// atlasa kolumnu ADMINS no tabulas users kur lietotājvārds ir saglabātais esošais mainīgais
$sql = "SELECT admins FROM users WHERE username='$username'";
$result = $db->query($sql);
$row = $result->fetch_assoc();
// ja tabulas dati no admins NAV 'Y', tad sesiju pamet, noņem nost esošās sesijas lietotājvārdu un aiziet atpakaļ uz login.php lapu
if ($row["admins"] !== 'Y'){
	session_destroy();
	unset($_SESSION['username']);
	header("location: ../login.php");
}
   // ja nav lietotājvārds, tad parāda ziņu un aiziet uz lapu login.php
if (!isset($_SESSION['username'])) {
	$_SESSION['msg'] = "Jums no sākuma jāpieslēdzas.";
	header('location: ../login.php');
}
?>
<!DOCTYPE html>
<HTML>
	<meta charset="UTF-8">
	<title>Post Overview</title>
	<link rel="stylesheet" type="text/css" href="admin.css">
<h1>Fortnite foruma rakstu labošana un dzēšana</h1>
<form action="" method="post">
    <span>Izdzēst rakstu pēc ID:</span>
    <input type="text" placeholder="Ievadiet ID" name="id_dzestraksts">
	<button type="submit" name="dzestidraksts">Dzēst rakstu</button><br><br>
</form>

<?php
//datubāzes pieslēgšanās
include '../config.php';
//Kad piespiesta poga dzēst rakstu
 if (isset($_POST['dzestidraksts'])) {
	 $id = ($_POST['id_dzestraksts']);
	 //pārbauda vai kautkas ir ierakstīts input lodziņā, un izdzēš rakstu ar ID kuru ierakstījā, kā arī izdzēš komentārus, kas saistīti ar to rakstu
	 if(isset($_POST['id_dzestraksts']) && !empty($_POST['id_dzestraksts'])){
	$sql = "DELETE FROM fortnitepost 
WHERE ID = '".$id."'";

if ($conn->query($sql) === TRUE) {
	echo "<h3 style='color:green;'>Izdzēsts raksts ar id -".$id.".</h3><br>";
}
	}
	 $sql = "DELETE FROM ftkomenti
WHERE POSTID = '".$id."'";

if ($conn->query($sql) === TRUE) {
	echo "<h3 style='color:green;'>Izdzēsti komentāri no raksta ar id -".$id.".</h3><br>";
}
	 
	 else {
	echo "<h3 style='color:red;'>Lūdzu, ievadiet ID!</h3>";	
  }
}

?>
<?php
//Atjaunināt rakstu
//kad tiek nospiesta poga labot rakstu
if(isset($_POST['labotrakstu'])){
$title=addslashes($_POST['title']);
$author=$_POST['author'];
$content=addslashes($_POST['content']);
//Pārbauda vai nav tukši input logi, ja nav, tad atjaunina rakstu, ar informāciju, kuru mēs ierakstijām.
  if(isset($_POST['title']) && !empty($_POST['title']) &&
	  isset($_POST['author']) && !empty($_POST['author']) &&
		isset($_POST['content']) && !empty($_POST['content'])){
$sql = "UPDATE fortnitepost SET title = '$title', author = '$author', content = '$content' WHERE id = $_GET[id]";

if ($conn->query($sql) === TRUE) {
    echo '<h2 style="color:green;">Raksts izlabots !</h2>';
} else {
    echo "Error updating record: " . $conn->error;
}
} else {
	echo '<h2 style="color:red;">Lūdzu aizpildiet teksta lodziņus, lai izlabotu rakstu !</h2>';	
  }
  }
  
    // Izdrukāšana priekš rakstiem
$sql = "SELECT * FROM fortnitepost";
$result = $conn->query($sql);
    while($row = $result->fetch_assoc()) {
		$contents=$row["content"];
    	//Ar ciklu izejam cauri katrai atrastajai rindai un izdrukājam
		echo '<div id="teksts"><li>ID- | <p style="display:inline; color:#ad0202;">'.$row["id"].'</p> | Virsraksts-| 
		<p style="display:inline; color:#ad0202;">'.$row["title"].'</p> | Autors-| 
		<p style="display:inline; color:#ad0202;">'.$row["author"].'</p>  
		|<br>
		'.$contents.'
		<br>
		'.$row['created_at'].'
		<a href="index.php?dzestrakstuft=true&id='.$row["id"].'"<br></div>'?>
		<button type="submit" name="editpostu" style="color:darkred;width:150px;">EDIT</button><br><br>
		<?php echo '<br></a></li>';?>
		<?php
		
	} 

//Ja tiek piespiesta poga EDIT, tad dabon no datubāzes informāciju, par to rakstu, par kuru tika piespiests EDIT
if (isset($_GET['id'])){
	$sql = "SELECT * FROM fortnitepost WHERE id = '".$_GET['id']."'"; }
	else {
	}
$result = $conn->query($sql);
if ($result->num_rows > 0) {
	$row = $result->fetch_assoc();

	?><div id="editosana" style="display:block;"><?php echo '<h1>ID="'.$row["id"].'" Title="'.$row["title"].'" rakstu labošana</h1><br>
<h3>Lietotājs - | "'.$row["author"].'" |</h3> <br>
<form action="" method="post">
<p>Nosaukums:</p>
<input style="width:200px;" name="title" value="'.$row["title"].'"></input>
<p>Autors:</p>
<input style="width:200px;" name="author" value="'.$row["author"].'"></input>
<p>Saturs</p>
<textarea style="width:650px;height:150px;" name="content">'.$row["content"].'</textarea>
<br>
<button type="submit" name="labotrakstu">Labot rakstu</button><br><br>
</form>';?></div><?php
}
?>
</HTML>
